Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QImageDrag

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QImageDrag class reference

### Public Functions

- QImageDrag ( QImage image, QWidget * dragSource, const char * name ) `(obsolete)`
- QImageDrag ( QWidget * dragSource, const char * name ) `(obsolete)`

## Member Function Documentation

### QImageDrag::QImageDrag ( QImage image, QWidget * dragSource, const char * name )

Constructs an image drag object with the given name, and sets its data to image. The dragSource is the widget that the drag operation started from.

### QImageDrag::QImageDrag ( QWidget * dragSource, const char * name )

Constructs a default image drag object with the given name. The dragSource is the widget that the drag operation started from.